package com.huijy.management.mapper;

import java.util.List;

import com.huijy.management.domain.Feedback;

/**
 * 建议反馈Mapper接口
 *
 * @author lishuwen
 * @date 2021-11-23
 */
public interface FeedbackMapper {
    /**
     * 查询建议反馈
     *
     * @param id 建议反馈主键
     * @return 建议反馈
     */
    public Feedback selectFeedbackById(Long id);

    /**
     * 查询建议反馈列表
     *
     * @param feedback 建议反馈
     * @return 建议反馈集合
     */
    public List<Feedback> selectFeedbackList(Feedback feedback);

    /**
     * 新增建议反馈
     *
     * @param feedback 建议反馈
     * @return 结果
     */
    public int insertFeedback(Feedback feedback);

    /**
     * 修改建议反馈
     *
     * @param feedback 建议反馈
     * @return 结果
     */
    public int updateFeedback(Feedback feedback);

    /**
     * 删除建议反馈
     *
     * @param id 建议反馈主键
     * @return 结果
     */
    public int deleteFeedbackById(Long id);

    /**
     * 批量删除建议反馈
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFeedbackByIds(Long[] ids);
}
