import request from '@/utils/request'

// 查询建议反馈列表
export function listFeedback(query) {
  return request({
    url: '/management/feedback/list',
    method: 'get',
    params: query
  })
}

// 查询建议反馈详细
export function getFeedback(id) {
  return request({
    url: '/management/feedback/' + id,
    method: 'get'
  })
}

// 新增建议反馈
export function addFeedback(data) {
  return request({
    url: '/management/feedback',
    method: 'post',
    data: data
  })
}

// 修改建议反馈
export function updateFeedback(data) {
  return request({
    url: '/management/feedback',
    method: 'put',
    data: data
  })
}

// 删除建议反馈
export function delFeedback(id) {
  return request({
    url: '/management/feedback/' + id,
    method: 'delete'
  })
}

// 导出建议反馈
export function exportFeedback(query) {
  return request({
    url: '/management/feedback/export',
    method: 'get',
    params: query
  })
}